Retrieve All Root Nodes
Retrieves all root EDL nodes and node metadata. Learn more about EDL hierarchies in Vault Help
GET
/api/{version}/composites/trees/{edl_hierarchy_or_template}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json (default) or text/csv |
Accept | application/json (default) or application/xml or text/csv |
URI Path Parameters
Section link for URI Path ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.3/composites/trees/edl_hierarchy__vResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"id": "0000000000000JIT",
"order__v": 1,
"ref_type__v": "edl__v",
"ref_name__v": "NewEDL",
"url": "/vobjects/edl__v/0EL000000001901",
"ref_id__v": "0EL000000001901",
"parent_id__v": null
}
]
}